> ## Documentation Index
> Fetch the complete documentation index at: https://docs.powertokens.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Video Generation Tasks

> Filter parameters to query matching video generation tasks. Only supports the last 7 days of task records, time range [T-7 days, T), where T is the UTC timestamp (seconds) of the request.

> Note: The following parameters are Query String Parameters, passed in the URL string.



## OpenAPI

````yaml api-reference/en/zmodelVideo/byteplus/seedance/list-video-generation-tasks.json GET /byteplus/api/v3/contents/generations/tasks
openapi: 3.0.1
info:
  title: List Video Generation Tasks
  version: 1.0.0
  description: >-
    Filter parameters to query matching video generation tasks. Only supports
    the last 7 days of task records, time range [T-7 days, T), where T is the
    UTC timestamp (seconds) of the request.
  license:
    name: Project License
    url: https://github.com/QuantumNous/new-api/blob/main/LICENSE
servers:
  - url: https://api.powertokens.ai
    description: Baze API server endpoint
security: []
tags:
  - name: Seedance Video
    description: Seedance series video generation capability
paths:
  /byteplus/api/v3/contents/generations/tasks:
    get:
      tags:
        - Seedance Video
      summary: List Video Generation Tasks
      description: >-
        Filter parameters to query matching video generation tasks. Only
        supports the last 7 days of task records, time range [T-7 days, T),
        where T is the UTC timestamp (seconds) of the request.


        > Note: The following parameters are Query String Parameters, passed in
        the URL string.
      operationId: byteplusListVideoGenerationTasks
      parameters:
        - name: page_num
          in: query
          required: false
          description: The page number of the results.
          schema:
            type: integer
            nullable: true
            default: 1
            minimum: 1
            maximum: 500
        - name: page_size
          in: query
          required: false
          description: The number of results displayed per page.
          schema:
            type: integer
            nullable: true
            default: 20
            minimum: 1
            maximum: 500
        - name: filter.status
          in: query
          required: false
          description: |-
            Filter parameter to query tasks by status.

            - queued: Tasks in queue.
            - running: Running tasks.
            - cancelled: Cancelled tasks.
            - succeeded: Successful tasks.
            - failed: Failed tasks.
          schema:
            type: string
            nullable: true
            enum:
              - queued
              - running
              - cancelled
              - succeeded
              - failed
        - name: filter.task_ids
          in: query
          required: false
          description: >-
            Video generation task ID, exact search, supports searching multiple
            task IDs simultaneously. Pass by repeating the parameter name, e.g.:
            `filter.task_ids=id1&filter.task_ids=id2`.
          style: form
          explode: true
          schema:
            type: array
            nullable: true
            items:
              type: string
        - name: filter.model
          in: query
          required: false
          description: >-
            Unlike the response parameter, this field is the inference endpoint
            ID used by the task, exact search.
          schema:
            type: string
            nullable: true
        - name: filter.service_tier
          in: query
          required: false
          description: >-
            The service tier used to process the task. `default` means online
            inference, `flex` means offline inference.
          schema:
            type: string
            nullable: true
            default: default
            enum:
              - default
              - flex
      responses:
        '200':
          description: >-
            Query successful, returns a list of video generation tasks matching
            the filter criteria.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListVideoGenerationTasksResponse'
              examples:
                success:
                  summary: Query successful
                  value:
                    total: 2
                    items:
                      - id: cgt-2026****-****
                        model: doubao-seedance-2-0-260128
                        status: succeeded
                        content:
                          video_url: >-
                            https://ark-acg-cn-beijing.tos-cn-beijing.volces.com/xxx
                        usage:
                          completion_tokens: 109586
                          total_tokens: 109586
                        created_at: 1779354227
                        updated_at: 1779354426
                        seed: 70172
                        resolution: 720p
                        ratio: '4:3'
                        duration: 5
                        framespersecond: 24
                        service_tier: default
                        execution_expires_after: 172800
                        generate_audio: true
                        draft: false
                        priority: 0
                      - id: cgt-2026****-****
                        model: doubao-seedance-2-0-260128
                        status: succeeded
                        content:
                          video_url: >-
                            https://ark-acg-cn-beijing.tos-cn-beijing.volces.com/xxx
                        usage:
                          completion_tokens: 49761
                          total_tokens: 49761
                        created_at: 1779353985
                        updated_at: 1779354268
                        seed: 68292
                        resolution: 480p
                        ratio: '3:4'
                        duration: 5
                        framespersecond: 24
                        service_tier: default
                        execution_expires_after: 172800
                        generate_audio: true
                        draft: false
                        priority: 0
        '400':
          description: Invalid request parameters.
        '401':
          description: Authentication failed.
        '500':
          description: Internal server error.
      security:
        - BearerAuth: []
components:
  schemas:
    ListVideoGenerationTasksResponse:
      type: object
      properties:
        items:
          type: array
          description: The list of video generation tasks found.
          items:
            $ref: '#/components/schemas/VideoGenerationTask'
        total:
          type: integer
          description: The number of tasks matching the filter criteria.
    VideoGenerationTask:
      type: object
      properties:
        id:
          type: string
          description: Video generation task ID.
        model:
          type: string
          description: >-
            The model name and version used by the task, in `model_name-version`
            format.
        status:
          type: string
          description: |-
            Task status.

            - queued: In queue.
            - running: Task running.
            - cancelled: Task cancelled (only queued tasks can be cancelled).
            - succeeded: Task successful.
            - failed: Task failed.
            - expired: Task timed out.
        error:
          $ref: '#/components/schemas/TaskError'
        created_at:
          type: integer
          description: Unix timestamp (seconds) of task creation time.
        updated_at:
          type: integer
          description: Unix timestamp (seconds) of the current status update time.
        content:
          $ref: '#/components/schemas/VideoTaskContent'
        seed:
          type: integer
          description: The seed integer value used for this request.
        resolution:
          type: string
          description: The resolution of the generated video.
        ratio:
          type: string
          description: The aspect ratio of the generated video.
        duration:
          type: integer
          description: >-
            The duration of the generated video, in seconds. Only one of
            `duration` and `frames` will be returned. If `frames` was not
            specified in the task creation, `duration` is returned.
        frames:
          type: integer
          description: >-
            The number of frames of the generated video. Only one of `duration`
            and `frames` will be returned. If `frames` was specified in the task
            creation, `frames` is returned.
        framespersecond:
          type: integer
          description: The frame rate of the generated video.
        generate_audio:
          type: boolean
          description: >-
            Whether the generated video contains synchronized audio. Only
            returned for Seedance 2.0 series and Seedance 1.5 pro.


            - true: The output video contains synchronized audio.

            - false: The output video has no audio.
        tools:
          type: array
          description: >-
            The tools actually used by the model for this request. Not returned
            if no tools were used.
          items:
            $ref: '#/components/schemas/TaskTool'
        safety_identifier:
          type: string
          description: >-
            Unique identifier of the end user. If this parameter was set when
            creating the video generation task, the API returns it as-is.
        priority:
          type: integer
          description: The execution priority of the current request.
        draft:
          type: boolean
          description: >-
            Whether the generated video is a Draft video. Only returned for
            Seedance 1.5 pro.


            - true: The current output is a Draft video.

            - false: The current output is a normal video.
        draft_task_id:
          type: string
          description: >-
            Draft video task ID. Returned when generating the final video based
            on a Draft video.
        service_tier:
          type: string
          description: The actual service tier used to process the task.
        execution_expires_after:
          type: integer
          description: Task timeout threshold, in seconds.
        usage:
          $ref: '#/components/schemas/TaskUsage'
    TaskError:
      type: object
      nullable: true
      description: Error message. Returns null on success, returns error data on failure.
      properties:
        code:
          type: string
          description: Error code.
        message:
          type: string
          description: Error message.
    VideoTaskContent:
      type: object
      description: >-
        When the video generation task is complete, this field is output,
        containing the download URL of the generated video.
      properties:
        video_url:
          type: string
          description: The URL of the generated video.
        last_frame_url:
          type: string
          description: >-
            The URL of the video's last frame image. Returned when
            `return_last_frame=true` is set during task creation.
    TaskTool:
      type: object
      properties:
        type:
          type: string
          description: |-
            The type of tool actually used.

            - web_search: Web search tool.
    TaskUsage:
      type: object
      description: Token usage for this request.
      properties:
        completion_tokens:
          type: integer
          description: >-
            The number of tokens consumed by the model for video generation,
            used for billing reconciliation. Seedance 2.0 series models have a
            minimum token usage limit. If actual token usage < minimum token
            usage, this field returns the minimum token usage, and billing is
            based on the minimum.
        total_tokens:
          type: integer
          description: >-
            The total number of tokens consumed for this request. Video
            generation models do not count input tokens (input tokens = 0), so
            `total_tokens = completion_tokens`.
        tool_usage:
          $ref: '#/components/schemas/ToolUsage'
    ToolUsage:
      type: object
      description: Tool usage information.
      properties:
        web_search:
          type: integer
          description: >-
            The actual number of web search calls, only returned when web search
            is enabled.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: 'Pass `Authorization: Bearer <token>` in the request header.'

````